org.eclnt.jsfserver.elements.util

## Class FIXGRIDPivotListBinding

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDBinding<ItemClass>
  - - org.eclnt.jsfserver.elements.impl.FIXGRIDListBinding
    - - org.eclnt.jsfserver.elements.util.FIXGRIDPivotListBinding

- All Implemented Interfaces:
    java.io.Serializable, IFIXGRIDBinding, IListWithChangeIndexListener, IDynamicContentBindingObject

      public class FIXGRIDPivotListBinding
      extends FIXGRIDListBinding
      implements java.io.Serializable

  Grid that includes - together with @link `FIXGRIDPivotItem` - a pivot processing.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDBinding

      `FIXGRIDBinding.Exporter, FIXGRIDBinding.FormattedValue, FIXGRIDBinding.ScrollHelper, FIXGRIDBinding.SortHelper, FIXGRIDBinding.TextSearcher`

    - ### Nested classes/interfaces inherited from interface org.eclnt.jsfserver.elements.impl.IFIXGRIDBinding

      `IFIXGRIDBinding.FIXGRIDSortInfo`

  - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDBinding

      `m_columnsequence, m_currentlyFocussedItem, m_defaultColumnsequence, m_firstItemForShiftSelection, m_initialized, m_modcolumnwidths, m_numberoffooterrows, m_numberofheaderrows, m_objectBinding, m_previouslyFocussedItem, m_sbvalue, m_sbvisibleamount, m_selectedItems, m_sortInfo, m_this`

    - ### Fields inherited from interface org.eclnt.jsfserver.elements.impl.IFIXGRIDBinding

      `SORT_ASCENDING, SORT_DESCENDING, SORT_UNSORTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FIXGRIDPivotListBinding()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Comparator` | `findSortComparatorForColumnValue(java.lang.String sortReference)` Used by the default sorting: when a comparator is returned then this one is used for comparing values.
    `boolean` | `getDelegeateToggleToUpperNode()`
    `java.lang.String` | `getLineSeparatorColor()` The color that is used for painting separating lines within the items of the pivot grid.
    `java.util.List<java.lang.String>` | `getPivotKeys()` The property names of the pivot items.
    `java.util.List` | `getSelectedPivotItems()` Returns all items that are selected.
    `void` | `setDelegeateToggleToUpperNode(boolean delegeateToggleToUpperNode)` The pivot grid arranges its contained nodes as "kind of tree".
    `void` | `setLineSeparatorColor(java.lang.String lineSeparatorColor)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDListBinding

      `createItems, deselectItem, ensureItemToBeDisplayed, ensureItemToBeDisplayed, fillShiftSelection, getItems, getListOfItems, getRows, getSbmaximum, getSelectedItemsAsSequence, listChanged, listItemWasAdded, listItemWasRemoved, processSearch, selectItem, setItems, setSbvalue, setSbvalue, sortGrid`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDBinding

      `applyPersistentData, checkIfCellsAreHighlighted, checkIfChangeIndexIsSupported, clearSortInfo, connectWithBinding, createDefaultStringComparator, createExporter, createScrollHelper, createTextSearcher, deselectCurrentSelection, deselectItem, deselectItem, deselectItemWCB, executeOnInitializedGrid, getAltPressedOfLastSelection, getClientvisibleamount, getColumnIndexOfLastSelection, getColumnInfos, getColumnsequence, getColumnTexts, getConnectedBinding, getCtrlPressedOfLastSelection, getCurrentColumWdithSequenceInfo, getCurrentHorizontalScrollPosition, getDefaultColumnsequence, getExportableColumns, getExportableColumns, getExporter, getFixgridComponent, getIndextobevisibleOfItems, getListOfExportItems, getModcolumnwidths, getModcolumnwidthsAsArray, getMouseButtonOfLastSelection, getNewClientHorizontalScrollPosition, getObjecttobevisibleOfItems, getOriginalcolumnwidths, getOriginalcolumnwidthsAsArray, getRowDataUI, getSbvalue, getSbvisibleamount, getScrollHelper, getSelectedItem, getSelectedItems, getShiftPressedOfLastSelection, getSortInfo, getSortInfoForReference, getTextSearcher, getToBeAccessedNode, getToBeAccessedNodeExpression, getToBeAccessedNodeFormatmaskValue, getToBeAccessedNodeFormattedValue, getToBeAccessedNodeFormatValue, getToBeAccessedNodeStringValue, getToBeAccessedNodeTimezoneValue, getToBeAccessedNodeValue, getVisibleColumns, getVisibleColumns, init_CONTENTTYPE_EXPORT_CSV, init_CONTENTTYPE_EXPORT_PDF, init_CONTENTTYPE_EXPORT_XLSX, init_CONTENTTYPE_EXPORT_XML, initialize, initPopupEditColumnDetailsUndecorated, initPopupGridFunctionsUndecorated, initTextSearcherShowSearchInfoPopup, isCurrentlyProcessingGridAction, isInitialized, isItemSelected, moveUpDown, onClearCellHighlight, onColumnSequenceUpdated, onColumnWidthsUpdated, onDrop, onEditColumnDetails, onFirstLineUp, onGridAction, onGridActionExecute, onLastLineDown, onOpenGridExportFunctions, onOpenGridFunctions, onPopupMenuItem, onPopupMenuLoad, onSelectionUpdateByClientActivity, onSelectorTitleIconInvoked, openEditColumnDetailsPopup, openGridExportFunctionsPopup, openGridFunctionsPopup, passComponentData, processMultipleSort, processMultipleSort, processSort, renderingBegins, resort, scrollHorizontallyToLastClientPosition, scrollHorizontallyToPosition, selectAndFocusItem, selectItem, selectItem, setClientvisibleamount, setColumnIndexOfLastSelection, setColumnIndexOfLastSelection, setColumnsequence, setCurrentHorizontalScrollPosition, setCurrentlyProcessingGridAction, setDefaultColumnsequence, setIndextobevisibleOfItems, setModcolumnwidth, setModcolumnwidths, setModcolumnwidthsArray, setModcolumnwidthsList, setObjecttobevisibleOfItems, setSbvalue, setSbvisibleamount, setToBeAccessedNode, sort, storePersistentData, storePersistentDataImplicitly, unhighlightAllCells, updateHighlight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclnt.jsfserver.elements.impl.IFIXGRIDBinding

      `checkIfChangeIndexIsSupported, getClientvisibleamount, getColumnsequence, getConnectedBinding, getExportableColumns, getExportableColumns, getIndextobevisibleOfItems, getModcolumnwidths, getNewClientHorizontalScrollPosition, getObjecttobevisibleOfItems, getSbvalue, getSbvisibleamount, getSortInfo, getSortInfoForReference, getVisibleColumns, getVisibleColumns, passComponentData, renderingBegins, setClientvisibleamount, setColumnIndexOfLastSelection, setColumnIndexOfLastSelection, setColumnsequence, setCurrentHorizontalScrollPosition, setIndextobevisibleOfItems, setModcolumnwidths, setObjecttobevisibleOfItems, setSbvisibleamount`

- - ### Constructor Detail

    - #### FIXGRIDPivotListBinding

          public FIXGRIDPivotListBinding()

  - ### Method Detail

    - #### getPivotKeys

          public java.util.List<java.lang.String> getPivotKeys()

      The property names of the pivot items.

    - #### setDelegeateToggleToUpperNode

          public void setDelegeateToggleToUpperNode(boolean delegeateToggleToUpperNode)

      The pivot grid arranges its contained nodes as "kind of tree". If the user clicks within the key area into an empty area then by default the click is delegeated to the next node level, that manages this part of the tree. Consequence: if the user clicks into an empty area then the pivot-tree is shrinked/closed within this area. - By passing "false" as parameter you define that no explicit action is taken if the user clicks into an empty area. This means the user only can open/close tree areas by explicitly doing so on the top item of the area.

    - #### getDelegeateToggleToUpperNode

          public boolean getDelegeateToggleToUpperNode()

    - #### getLineSeparatorColor

          public java.lang.String getLineSeparatorColor()

      The color that is used for painting separating lines within the items of the pivot grid. By default the color is "#00000030".

    - #### setLineSeparatorColor

          public void setLineSeparatorColor(java.lang.String lineSeparatorColor)

    - #### getSelectedPivotItems

          public java.util.List getSelectedPivotItems()

      Returns all items that are selected. These are the items that were passed into the pivot grid. During runtime there may be additional "technical" items contained in the grid, when the user folds the pivot items.

    - #### findSortComparatorForColumnValue

          protected java.util.Comparator findSortComparatorForColumnValue(java.lang.String sortReference)

      Description copied from class: `FIXGRIDBinding`
      Used by the default sorting: when a comparator is returned then this one is used for comparing values. If null is returned then the default comparator is used. - You need to override in order to apply special comparators for certain columns.
      Overrides:
        `findSortComparatorForColumnValue` in class `FIXGRIDBinding`

Copyright © CaptainCasa Gmbh. All Rights Reserved.